Imports System.Collections.ObjectModel

Public Class Form1
    Public zapisovat_do_souboru As Boolean = True
    Public soubor_pro_zapis As String
    Dim Pocet_slozek As Integer
    Dim vyjimky As New Collection(Of String)
    Public jazyk As New Collection(Of String)
    Public jazyk_volba As String


    


    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        'Prevezme si cestu projektu z comboboxu
        Dim ProzkoumavanyAdresar = CStr(ComboBox1.Text)

        'chybove hlaseni pro neexistujici adresar
        If Microsoft.VisualBasic.FileIO.FileSystem.DirectoryExists(ProzkoumavanyAdresar) = False Then
            MsgBox(textSpatnyAdresarProjektu)
            Exit Sub
        End If

        Me.UseWaitCursor = True
        TextBox2.Text = ""




        'deklarace kolekce slozky
        Dim slozky As Collections.ObjectModel.ReadOnlyCollection(Of String) = _
                                     Microsoft.VisualBasic.FileIO.FileSystem.GetDirectories(ProzkoumavanyAdresar, FileIO.SearchOption.SearchAllSubDirectories)


        ' Nacteni kolekce vyjimky ze souboru
        Dim config As New IO.StreamReader("vyjimky.zz912")       'otevt soubor
        While Not config.EndOfStream        'st, dokud nejsme na konci souboru
            vyjimky.Add(config.ReadLine())   'pridat do kolekce vyjimky 1 radek souboru
            System.Windows.Forms.Application.DoEvents()
        End While
        config.Close()



        'zapis do zvoleneho souboru 

        If zapisovat_do_souboru = True And Microsoft.VisualBasic.FileIO.FileSystem.FileExists(soubor_pro_zapis) = True Then
            Dim soubor As New IO.StreamWriter(soubor_pro_zapis)

            soubor.WriteLine("! Tyto cesty byly vygenerovany programem search_path")
            For Pocet_slozek = 0 To slozky.Count - 1
                Dim slozkyMalePismo As String = (slozky(Pocet_slozek)).ToLower()
                If vyjimky.IndexOf(slozkyMalePismo) = -1 Then
                    soubor.WriteLine("search_path " & slozky(Pocet_slozek))
                Else
                    soubor.WriteLine(textVyjimka & slozky(Pocet_slozek))
                End If
                System.Windows.Forms.Application.DoEvents()
            Next

            Label2.Text = Pocet_slozek
            Label4.Text = textAno
            soubor.Close()
        Else
            Label4.Text = textNe
        End If

        'zapis do textboxu
        For Pocet_slozek = 0 To slozky.Count - 1
            Dim slozkyMalePismo As String = (slozky(Pocet_slozek)).ToLower()
            If vyjimky.IndexOf(slozkyMalePismo) = -1 Then
                TextBox2.Text &= ("search_path " & slozky(Pocet_slozek)) & vbCrLf
            Else
                TextBox2.Text &= (textVyjimka & slozky(Pocet_slozek)) & vbCrLf
            End If
            Label2.Text = Pocet_slozek
            System.Windows.Forms.Application.DoEvents()
        Next

        'chybove hlaseni pro neexistujici soubor pro zapis
        If Microsoft.VisualBasic.FileIO.FileSystem.FileExists(soubor_pro_zapis) = False Then
            MsgBox(textNeexistujiciSouborProZapis)
        End If

        Me.UseWaitCursor = False


    End Sub
    Private Sub KonecToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles KonecToolStripMenuItem.Click
        Me.Close()
    End Sub
    Private Sub OProgramuToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles OProgramuToolStripMenuItem.Click
        Form2.Show()
    End Sub
    Private Sub NastaveniToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles NastaveniToolStripMenuItem.Click
        Form3.Show()
    End Sub
    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        FolderBrowserDialog1.ShowDialog()
        ComboBox1.Text = FolderBrowserDialog1.SelectedPath
    End Sub
    Private Sub ToolStripMenuItem2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripMenuItem2.Click
        Form4.Show()
    End Sub

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        '======================================================================================================
        'nacteni konfiguracniho souboru
        Dim config As New IO.StreamReader("config.zz912")
        While Not config.EndOfStream
            Dim prikaz As String = config.ReadLine
            If Not prikaz.StartsWith("!") Then
                '-----------------------------------------------------------------------------------------------
                If prikaz = "zapisovat_do_souboru ne" Then
                    zapisovat_do_souboru = False
                End If
                '-----------------------------------------------------------------------------------------------
                If prikaz.StartsWith("soubor_pro_zapis") Then
                    Dim PocetZnaku As Integer = prikaz.Length - 16
                    soubor_pro_zapis = prikaz.Substring(16, PocetZnaku)
                End If
                '-----------------------------------------------------------------------------------------------
                If prikaz.StartsWith("Adresar_projektu") Then
                    Dim PocetZnaku As Integer = prikaz.Length - 16
                    ComboBox1.Items.Add(prikaz.Substring(16, PocetZnaku))

                End If
                '-----------------------------------------------------------------------------------------------
            End If
        End While


        config.Close()  'Uzavreni souboru
        '======================================================================================================


        '======================================================================================================
        'nacteni souboru s jazykem do kolekce
        Dim jazyksoubor As New IO.StreamReader("Jazyk.zz912")

        While Not jazyksoubor.EndOfStream
            Dim i As String
            i = jazyksoubor.ReadLine()
            jazyk.Add(i)
        End While

        jazyksoubor.Close()  'Uzavreni souboru
        '======================================================================================================

        '======================================================================================================
        'Vyber jazyku
        Dim u As Integer = 0
        While Not jazyk(u).StartsWith("jazyk_volba")
            u += 1
        End While

        jazyk_volba = jazyk(u).Substring(12, 2)


        '======================================================================================================

        Prelozit()
        ComboBox1.Text = ComboBox1.Items(0)
    End Sub
    Private Sub Timer1_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Timer1.Tick
        Label3.Text = soubor_pro_zapis
    End Sub
    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        Me.Close()
    End Sub

    Private Sub NapovedaToolStripMenuItem1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles NapovedaToolStripMenuItem1.Click
        Napoveda.Show()
    End Sub

    Private Sub JazykToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles JazykToolStripMenuItem.Click
        Form5.Show()
    End Sub

    Private Function jazyk_nazvu(ByVal nazev As String, ByVal FceJazyk As String)
        Dim u As Integer = 0
        u = jazyk.IndexOf(nazev)
        While Not jazyk(u).StartsWith(FceJazyk)
            u += 1
        End While
        Return jazyk(u).Substring(4, jazyk(u).Length - 4)
    End Function

    Public Sub Prelozit()
        'tlacitka a labely-------------------------------------------------------------------------------
        Button1.Text = jazyk_nazvu("form1.button1", jazyk_volba)
        Button2.Text = jazyk_nazvu("form1.button2", jazyk_volba)
        Button3.Text = jazyk_nazvu("form1.button3", jazyk_volba)
        GroupBox1.Text = jazyk_nazvu("form1.GroupBox1", jazyk_volba)
        GroupBox2.Text = jazyk_nazvu("form1.GroupBox2", jazyk_volba)
        Label1.Text = jazyk_nazvu("form1.label1", jazyk_volba)
        Label5.Text = jazyk_nazvu("form1.label5", jazyk_volba)
        Label6.Text = jazyk_nazvu("form1.label6", jazyk_volba)
        MoznostiToolStripMenuItem.Text = jazyk_nazvu("form1.MoznostiToolStripMenuItem", jazyk_volba)
        JazykToolStripMenuItem.Text = jazyk_nazvu("form1.JazykToolStripMenuItem", jazyk_volba)
        NastaveniToolStripMenuItem.Text = jazyk_nazvu("form1.NastaveniToolStripMenuItem", jazyk_volba)
        ToolStripMenuItem2.Text = jazyk_nazvu("form1.ToolStripMenuItem2", jazyk_volba)
        KonecToolStripMenuItem.Text = jazyk_nazvu("form1.button3", jazyk_volba)
        NapovedaToolStripMenuItem.Text = jazyk_nazvu("form1.NapovedaToolStripMenuItem", jazyk_volba)
        NapovedaToolStripMenuItem1.Text = jazyk_nazvu("form1.NapovedaToolStripMenuItem", jazyk_volba)
        OProgramuToolStripMenuItem.Text = jazyk_nazvu("form1.OProgramuToolStripMenuItem", jazyk_volba)


        Form4.Text = jazyk_nazvu("form4", jazyk_volba)
        Form4.Button2.Text = jazyk_nazvu("form1.button2", jazyk_volba)
        Form4.CheckBox1.Text = jazyk_nazvu("form4.CheckBox1", jazyk_volba)
        Form4.GroupBox1.Text = jazyk_nazvu("form4.GroupBox1", jazyk_volba)


        Form5.Text = jazyk_nazvu("form5", jazyk_volba)

        Napoveda.Text = jazyk_nazvu("form1.NapovedaToolStripMenuItem", jazyk_volba)

        Form3.Text = jazyk_nazvu("form3", jazyk_volba)
        Form3.Button1.Text = jazyk_nazvu("form1.button2", jazyk_volba)
        Form3.Button2.Text = jazyk_nazvu("Form3.Button2", jazyk_volba)
        Form3.Button3.Text = jazyk_nazvu("Form3.Button3", jazyk_volba)
        '------------------------------------------------------------------------------------------------

        'texty v programu
        textAno = jazyk_nazvu("textAno", jazyk_volba)
        textNe = jazyk_nazvu("textNe", jazyk_volba)
        textNeexistujiciSouborProZapis = jazyk_nazvu("textNeexistujiciSouborProZapis", jazyk_volba)
        textSpatnyAdresarProjektu = jazyk_nazvu("textSpatnyAdresarProjektu", jazyk_volba)
        textVyjimka = jazyk_nazvu("textVyjimka", jazyk_volba)
        podpisDoSearchPro = jazyk_nazvu("podpisDoSearchPro", jazyk_volba)
        textSpatnyAdresarVyjimky = jazyk_nazvu("textSpatnyAdresarVyjimky", jazyk_volba)
        podpisDoVyjimek = jazyk_nazvu("podpisDoVyjimek", jazyk_volba)


    End Sub
    'texty v programu------------------------------------------------------------------------------------
    Dim textAno As String
    Dim textNe As String
    Dim textNeexistujiciSouborProZapis As String
    Dim textSpatnyAdresarProjektu As String
    Dim textVyjimka As String
    Dim podpisDoSearchPro As String
    Public textSpatnyAdresarVyjimky As String
    Public podpisDoVyjimek As String


    '----------------------------------------------------------------------------------------------------
End Class